GET https://api.sonorancms.com/v2/community
Rate limit: 13 requests per minute
Authenticated v2 endpoints are rate limited per credential rather than per IP address.Retrieve the current community summary.
Example Request
- Sonoran.lua
- Sonoran.js
- Sonoran.py
- Sonoran.Net
- OpenAPI
- cURL
local Sonoran = require("sonoran")
local sonoran = Sonoran.createClient({
product = Sonoran.productEnums.CMS,
apiKey = "YOUR_API_KEY",
communityId = "YOUR_COMMUNITY_ID",
defaultServerId = 1,
timeoutMs = 30000,
})
local response = sonoran.cms:getCommunityV2()
if response.success then
print(response.data)
else
print(response.reason)
end
const Sonoran = require("sonoran.js");
const instance = Sonoran.instance({
apiKey: "YOUR_API_KEY",
communityId: "YOUR_COMMUNITY_ID",
product: Sonoran.productEnums.CMS,
serverId: 1,
});
async function main() {
const response = await instance.cms.getCommunityV2();
if (response.success) {
console.log(response.data);
} else {
console.error(response.reason);
}
}
main().catch((error) => {
console.error(error);
});
from sonoran import Instance, productEnums
instance = Instance(
apiKey="YOUR_API_KEY",
communityId="YOUR_COMMUNITY_ID",
product=productEnums.CMS,
serverId=1,
)
response = instance.cms.getCommunityV2()
if response.success:
print(response.data)
else:
print(response.reason)
using Sonoran;
using System.Text.Json;
using var sonoran = new SonoranClient(new SonoranClientOptions
{
product = SonoranProduct.CMS,
apiKey = "YOUR_API_KEY",
communityId = "YOUR_COMMUNITY_ID",
defaultServerId = 1
});
var response = await sonoran.Cms.getCommunityV2();
if (response.success)
{
Console.WriteLine(JsonSerializer.Serialize(response.data));
}
else
{
Console.WriteLine(response.reason);
}
openapi: "3.0.3"
info:
title: "Sonoran CMS v2 - Get Community"
version: "1.0.0"
description: "Retrieve the current community summary."
servers:
-
url: "https://api.sonorancms.com"
paths:
/v2/community:
get:
summary: "Get Community"
operationId: "getCommunity"
security:
-
bearerAuth: []
responses:
"200":
description: "Successful response"
content:
application/json:
schema:
type: "object"
example:
success: true
data:
id: "CMS-1000"
uuid: "00000000-0000-0000-0000-000000000000"
name: "Example Community"
subVersion: 5
tier: "SonoranOne"
servers: 3
meta:
timestamp: "2026-04-15T00:00:00.000Z"
path: "/v2/community"
components:
securitySchemes:
bearerAuth:
type: "http"
scheme: "bearer"
bearerFormat: "JWT"
curl --request GET \
--url "https://api.sonorancms.com/v2/community" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Accept: application/json"
Response
Thedata object is the community summary returned by V2Service.summary(). It includes the community identifier, UUID, name, sub-version, resolved tier, and server count.
{
"success": true,
"data": {
"id": "CMS-1000",
"uuid": "00000000-0000-0000-0000-000000000000",
"name": "Example Community",
"subVersion": 5,
"tier": "SonoranOne",
"servers": 3
},
"meta": {
"timestamp": "2026-04-15T00:00:00.000Z",
"path": "/v2/community"
}
}

